Description

Supportanfrage

we would like to run a PoC in Azure. Does ADTF support cloud?

Is it possible to run ADTF in Virtual Machines in cloud?

Is it possible to run it in Docker? If so, do you have any images that we could use?

Do we need any special license to do that? So far we assign the license to MAC address. In cloud it might be difficult to have the

same MAC address. How can we handle that?

Thanks in advance!

Lösung

we would like to run a PoC in Azure. Does ADTF support cloud?

 For ADTF 2.x there is no cloud support possible, technical and legal.

Is it possible to run ADTF in Virtual Machines in cloud?

 There are no restictions to use ADTF 2.x or 3.x in a virtual machine, but you need a node-locked or floating license for this (MAC

address) as well.

Is it possible to run it in Docker? If so, do you have any images that we could use?

 As long as the docker can provide a MAC address, it will be possible.

But we do not have a docker image.

Do we need any special license to do that? So far we assign the license to MAC address. In cloud it might be difficult to have

the same MAC address. How can we handle that?

 Currently it is not possible - technical and legal.

Only option is to have a MAC address, then you can assign a license (node locked or floating).

Cloud will be possible for ADTF 2.x after EOL (31.12.2021).

For ADTF 3.x all use cases will be possible (technical and legal) within the next month after providing the new MAC independed

license mechanism.

This will cover all described use cases.

History

#1 - 2021-02-11 22:07 - hidden

- Project changed from Public Support to 9

- Status changed from New to In Progress

2024-05-09 1/3



- Topic set to ADTF::License

- Customer set to DAIMLER

#2 - 2021-02-16 20:09 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Bart,

we would like to run a PoC in Azure. Does ADTF support cloud?

 For ADTF 2.x there is no cloud support possible, technical and legal.

Is it possible to run ADTF in Virtual Machines in cloud?

 There are no restictions to use ADTF 2.x or 3.x in a virtual machine, but you need a node-locked or floating license for this (MAC address) as well.

Is it possible to run it in Docker? If so, do you have any images that we could use?

 As long as the docker can provide a MAC address, it will be possible.

But we do not have a docker image.

Do we need any special license to do that? So far we assign the license to MAC address. In cloud it might be difficult to have the same MAC

address. How can we handle that?

 Currently it is not possible - technical and legal.

Only option is to have a MAC address, then you can assign a license (node locked or floating).

Cloud will be possible for ADTF 2.x after EOL (31.12.2021).

For ADTF 3.x all use cases will be possible (technical and legal) within the next month after providing the new MAC independed license mechanism.

This will cover all described use cases.

#3 - 2021-02-17 10:45 - hidden

Hi Florian,

thanks for the answer. I understand that only MAC address-based license is supported.

Are we allowed – from the perspective of the license - to use ADTF in Azure VM/Docker as

long as they get license based on MAC?

Thanks!

Bart

#4 - 2021-02-17 11:40 - hidden

Hi Bart,

Are we allowed – from the perspective of the license - to use ADTF in Azure VM/Docker as

 long as they get license based on MAC?

Yes, no problem!

#5 - 2021-02-22 08:59 - hidden

- Project changed from 9 to Public Support

- Subject changed from cloud licence - docker, virtual machines etc. to Using ADTF 2.x in Docker, Cloud and VM (technical and legal)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2022-01-17 08:17 - hidden
- Status changed from To Be Closed to Closed
